Scilab Home Page | Wiki | Bug Tracker | Forge | Mailing List Archives | Scilab Online Help | File Exchange
ATOMS : sciCuda details
Please login or create an account

sciCuda

Scilab Cuda toolbox
(528 downloads for this version - 528 downloads for all versions)
Details
Version
1.0
Author
Cedric Delamarre
Owner Organization
Scilab Enterprises
Maintainers
Pierre-Aime Agnel
Administrator Atoms
Cdric Delamarre
Creation Date
September 19, 2016
Source created on
Scilab 6.0.x
Binaries available on
Scilab 6.0.x:
Linux 64-bit Windows 64-bit
Install command
--> atomsInstall("sciCuda")
Description
            This module provides GPU computing capabilities to Scilab. 
It uses an implementation of BLAS (cuBLAS) and FFT (cuFFT) through gpuAdd,
gpuMult, gpuFFT and other functions.
Some functions, as gpuBuild, have been
created for build and use kernels writen using the Cuda language.

Binary versions have been built with Cuda 7.5            
Files (3)
[418.57 kB]
Linux 64-bit binary for Scilab 6.0.x

[732.05 kB]
Windows 64-bit binary for Scilab 6.0.x
Binary Windows 64 bits.
[7.71 kB]
Source code archive

News (0)
Comments (7)     Leave a comment 
Comment from Grace Redhyka -- September 22, 2016, 09:36:26 AM    
I have tried both the sciOpenCL and sciCuda,

GPU : Nvidia Quadro K600
Visual Studio 2012
CUDA Toolkit 7.5

sciOpenCL works fine, 

but when I remove the sciOpenCL and install sciCuda, error happened when loading the 
module :


Start sciGPGPU
	Load macros
	Load help
Shared archive loaded.
Link done.
Shared archive loaded.
Link done.
Shared archive loaded.
Link done.
atomsLoad: An error occurred while loading 'sciCuda-1.0':
	Please install CUDA Toolkit 6 or more.

For now I will use the sciOpenCL.
Answer from Cdric Delamarre -- September 29, 2016, 10:42:51 AM    
Hello,

Can you check what CUDA variable environment are available ?
This toolbox needs the CUDA_BIN_PATH variable, but CUDA variables have probably been 
modified since last versions.

Cedric
Comment from Samuel Gougeon -- September 25, 2016, 03:13:25 PM    
When i load the sciCuda module, the startup fails with the following message:
Start sciGPGPU
	Load macros
	Load help
Shared archive loaded.
Link done.
Shared archive loaded.
Link done.
link: The file nvcuda.dll does not exist in PATH environment.
atomsLoad: An error occurred while loading 'sciCuda-1.0':
	Please install Nvidia Developer Drivers
at line   335 of function    atomsLoad ( SCI\modules\atoms\macros\atomsLoad.sci line 351 )
at line     1 of executed string 

No prerequisite and no dependency are documented on this dedicated ATOMS webpage, that
could explain this error.

By the way, the startup message refers to sciGPGPU instead of to sciCuda.
Comment from Samuel Gougeon -- September 25, 2016, 03:15:05 PM    
Reporting bugs on the Forge is not possible: The public link displayed here-above leads
to:

You are not authorized to view this page. You do not have permission
to view the requested directory or page using the credentials supplied.

403 - Forbidden
Comment from Jose PAblo Castro-valverde -- March 25, 2017, 09:34:58 PM    
Hi,
I got a NVIDIA card that only works with Cuda 8.0.
I tried to change the sciGPGPU.start file to load the module but failed with this:

 link: The shared archive was not loaded: libcudart.so.7.5: cannot open shared object file:

No such file or directory

It's make sense because i got these:

/usr/local/cuda-8.0/doc/man/man7/libcudart.so.7
/usr/local/cuda-8.0/targets/x86_64-linux/lib/libcudart.so
/usr/local/cuda-8.0/targets/x86_64-linux/lib/libcudart.so.8.0
/usr/local/cuda-8.0/targets/x86_64-linux/lib/libcudart.so.8.0.61

I think this could be fix if I recompile the source code to be linked to the Cuda 8.0 
libraries instead of Cuda 7.5.

so, my question.
Where is the source code of this module?
I can't find the source anywhere, is it privative code?

Thanks,
Comment from Yury Pershin -- March 31, 2017, 08:00:27 AM    
Hi All!

I install Scilab under Windows 10 64 bit and want use sciGPGPU atom.
After install sciGPGPU at Scilab startup I see in command window that I could install 
Visual Studio and CUDA Toolkit.
When I try install Visual Studio 2017 (in my case Community version) I see a lot of 
option, please advice which option I could choose for proper work sciGPGPU.
For CUDA Toolkit if I right understand I could choose custom installing and uncheck only 
driver components and experience (because one installed on my system).
Please advice.
 
With kind regards Yury.
Comment from Alexander Petrov -- April 30, 2017, 02:46:16 PM    
This comment has been deleted.
Comment from Alexander Petrov -- April 30, 2017, 05:35:06 PM    
visual studio 2013 community + scilab 6.0 + CUDA 7.5
Windows 64-bit binary version does not work!
Where is the source code of this module? or You can recompile?
Leave a comment
You must register and log in before leaving a comment.
Email notifications
Send me email when this toolbox has changes, new files or a new release.
You must register and log in before setting up notifications.